local Grid2LuaTextsOptions = {}
Grid2Options.plugins["Grid2LuaTextsOptions"] = Grid2LuaTextsOptions

local L = LibStub("AceLocale-3.0"):GetLocale("Grid2Options")
local DBL = LibStub:GetLibrary("LibDBLayers-1.0")

function Grid2LuaTextsOptions.UpgradeDefaults(dblData)
	local versionsSrc = dblData.versionsSrc

	if (versionsSrc.Grid2LuaTextsOptions < 1) then
		DBL:SetupLayerObject(dblData, "statuses", "account", "afk", {type = "afk", color1 = {r=.5,g=.5,b=.5,a=1}})
		DBL:SetupMapObject(dblData, "statusMap", "account", "text-down", "afk", 40)
		DBL:SetupMapObject(dblData, "statusMap", "account", "text-down-color", "afk", 40)
		versionsSrc.Grid2LuaTextsOptions = 1
	end
end

local prev_MakeStatusOptions = Grid2Options.MakeStatusOptions
function Grid2Options:MakeStatusOptions(dblData, reset, ...)
	self:AddOptionHandler("afk", Grid2Options.MakeStatusStandardOptions)

	prev_MakeStatusOptions(self, dblData, reset, ...)
end

